=== debian/changelog ===
pdf2djvu (0.9.3-1build2) xenial; urgency=medium

  * No change rebuild with the new poppler soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 29 Feb 2016 10:49:10 +0100

pdf2djvu (0.9.3-1build1) xenial; urgency=high

  * Rebuild against libpoppler57/s390x.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 08 Dec 2015 21:12:23 +0000

pdf2djvu (0.9.3-1) unstable; urgency=medium

  * New upstream release.
  * deb/control: dropped Vcs-Git and Browser (not collaboratively maintained,
    Git log not needed anymore for review of changes in sponsoring).
  * deb/tests:
    + control: added locales to depends for test_iso8859_1.
    + pdf2djvu: added generation of locale en_US.ISO(-)8859-1.
  * Removed deb/gbp.conf (not needed to be maintained in Git).

 -- Daniel Stender <debian@danielstender.com>  Tue, 01 Dec 2015 22:33:56 +0100

pdf2djvu (0.9.2-3) unstable; urgency=medium

  * deb/tests/pdf2djvu: copy also doc/ to ADTTMP (Closes: #803167)
    [thanks to Dmitry Shachnev].

 -- Daniel Stender <debian@danielstender.com>  Tue, 27 Oct 2015 17:07:45 +0100

pdf2djvu (0.9.2-2) unstable; urgency=medium

  * deb/control: added Build-Conflicts against locales-all (fix for #788352).

 -- Daniel Stender <debian@danielstender.com>  Sun, 25 Oct 2015 22:10:39 +0100

pdf2djvu (0.9.2-1) unstable; urgency=medium

  * New upstream release.
  * deb/rules:
    + added generation of locale en_US.ISO(-)8859-1 to override of
      dh_auto_test (and added build-dep against locales to deb/control).
    + use DEB_LDFLAGS_MAINT_APPEND instead of LD_FLAGS, dropped inclusion
      of buildflags.mk (deprecated).

 -- Daniel Stender <debian@danielstender.com>  Sun, 25 Oct 2015 13:18:33 +0100

pdf2djvu (0.9.1-2) unstable; urgency=medium

  * deb/control: dropped build-dep on libpstreams-dev (Closes: #801099).

 -- Daniel Stender <debian@danielstender.com>  Tue, 06 Oct 2015 17:14:57 +0200

pdf2djvu (0.9.1-1) unstable; urgency=medium

  * New upstream release.
  * deb/control: updated build-deps (XMP processing switched to Exiv2).

 -- Daniel Stender <debian@danielstender.com>  Mon, 05 Oct 2015 23:54:55 +0200

pdf2djvu (0.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Bumped debhelper version to 9.

 -- Daniel Stender <debian@danielstender.com>  Fri, 04 Sep 2015 16:21:27 +0200
