=== debian/control ===
Source: pdf2djvu
Section: text
Priority: optional
Maintainer: Daniel Stender <debian@danielstender.com>
Build-Depends:
 autotools-dev,
 debhelper (>= 9),
 djvulibre-bin (>= 3.5.23-6),
 dpkg-dev (>= 1.16.1),
 libdjvulibre-dev (>= 3.5.23-6),
 libgraphicsmagick++1-dev,
 libpoppler-private-dev (>= 0.7.3),
 libexiv2-dev,
 uuid-dev,
 pkg-config,
 python-nose,
 python-pil,
 locales
Build-Conflicts:
 locales-all
Standards-Version: 3.9.6
Homepage: http://jwilk.net/software/pdf2djvu
Testsuite: autopkgtest

Package: pdf2djvu
Architecture: any
Depends:
 djvulibre-bin (>= 3.5.20-5~),
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 poppler-data
Breaks:
 libdjvulibre21 (<< 3.5.20-5~)
Description: PDF to DjVu converter
 pdf2djvu creates DjVu files from PDF files. It's able to extract:
  - graphics,
  - text layer,
  - hyperlinks,
  - document outline (bookmarks),
  - metadata (including XMP metadata).
