=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://bitbucket.org/jwilk/pdf2djvu/downloads/pdf2djvu-([\d.]+)\.tar\.xz
