=== win32/Makefile ===
--- 
+++ 
@@ -175,7 +175,7 @@
 
 src/poppler/source-stamp:
 	mkdir -p $(dir $@)
-	$(wget) http://poppler.freedesktop.org/poppler-0.18.4.tar.gz
+	$(wget) https://poppler.freedesktop.org/poppler-0.18.4.tar.gz
 	echo '33421148cdc8e043da291dece2cce1cea6220d49a50c00c56d56d6435501d42e  dcache/poppler-0.18.4.tar.gz' | sha256sum -c
 	$(untar) dcache/poppler-*.tar.gz -C $(dir $@)
 	cd $(dir $@) && QUILT_PATCHES=../../patches/poppler quilt push -a
@@ -216,7 +216,7 @@
 
 src/djvulibre/source-stamp:
 	mkdir -p $(dir $@)
-	$(wget) http://downloads.sourceforge.net/project/djvu/DjVuLibre/3.5.27/djvulibre-3.5.27.tar.gz
+	$(wget) https://downloads.sourceforge.net/project/djvu/DjVuLibre/3.5.27/djvulibre-3.5.27.tar.gz
 	echo 'e69668252565603875fb88500cde02bf93d12d48a3884e472696c896e81f505f  dcache/djvulibre-3.5.27.tar.gz' | sha256sum -c
 	$(untar) dcache/djvulibre-*.tar.gz -C $(dir $@)
 	sed -i -e 's/[A-Z]\+_EXPORT/DLL_EXPORT/' $(dir $@)/libdjvu/*.h
@@ -305,7 +305,7 @@
 
 src/expat/source-stamp:
 	mkdir -p $(dir $@)
-	$(wget) http://downloads.sourceforge.net/project/expat/expat/2.1.0/expat-2.1.0.tar.gz
+	$(wget) https://downloads.sourceforge.net/project/expat/expat/2.1.0/expat-2.1.0.tar.gz
 	echo '823705472f816df21c8f6aa026dd162b280806838bb55b3432b0fb1fcca7eb86  dcache/expat-2.1.0.tar.gz' | sha256sum -c
 	$(untar) dcache/expat-*.tar.gz -C $(dir $@)
 	touch $(@)
@@ -385,7 +385,7 @@
 
 src/fontconfig/source-stamp:
 	mkdir -p $(dir $@)
-	$(wget) http://www.freedesktop.org/software/fontconfig/release/fontconfig-2.11.1.tar.bz2
+	$(wget) https://www.freedesktop.org/software/fontconfig/release/fontconfig-2.11.1.tar.bz2
 	echo 'dc62447533bca844463a3c3fd4083b57c90f18a70506e7a9f4936b5a1e516a99  dcache/fontconfig-2.11.1.tar.bz2' | sha256sum -c
 	$(untar) dcache/fontconfig-2.11.1.tar.bz2 -C $(dir $@)
 	cd $(dir $@) && autoreconf -vfi
