=== doc/po/Makefile ===
--- 
+++ 
@@ -64,6 +64,7 @@
 
 $(po_files): %.po: $(source)
 	$(po4a-update-po) -m $(<) -p $(@)
+	sed -i -e 's/^\([#][.]\) *\([^ ].*[^ ]\) *$$/\1 \2/' $(@)
 	touch $(@)
 
 %.xml: %.po
