=== debian/changelog ===
pdf2djvu (0.9.4-1) unstable; urgency=medium

  * New upstream release (Closes: #812007).
  * deb/control:
    + updated maintainer email address.
    + bumped standards to 3.9.7 (no changes needed).
  * deb/copyright: updated, cosmetics.
  * deb/rules: added DEB_BUILD_MAINT_OPTIONS with hardening=+all.

 -- Daniel Stender <stender@debian.org>  Wed, 16 Mar 2016 21:46:59 +0100
