=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: pdf2djvu
 Section: text
 Priority: optional
-Maintainer: Daniel Stender <debian@danielstender.com>
+Maintainer: Daniel Stender <stender@debian.org>
 Build-Depends:
  autotools-dev,
  debhelper (>= 9),
@@ -18,7 +18,7 @@
  locales
 Build-Conflicts:
  locales-all
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://jwilk.net/software/pdf2djvu
 Testsuite: autopkgtest
