## pdf2djvu 0.9.6

=== win32/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright © 2009-2015 Jakub Wilk <jwilk@jwilk.net>
+# Copyright © 2009-2016 Jakub Wilk <jwilk@jwilk.net>
 #
 # This file is part of pdf2djvu.
 #
@@ -15,7 +15,7 @@
 host = i686-w64-mingw32
 docbook_xsl = http://docbook.sourceforge.net/release/xsl/current/html/docbook.xsl
 
-ifeq "$(wildcard ../.hg)" ""
+ifeq "$(wildcard ../.git)" ""
 version := $(shell head -n1 ../doc/changelog | cut -d ' ' -f2 | tr -d '()')
 orig_src_tarball = pdf2djvu-$(version).tar.xz
 else
@@ -26,7 +26,6 @@
 djvulibre_tools = bzz c44 cjb2 csepdjvu djvuextract djvumake djvused djvmcvt
 
 WGET = wget
-wget = cd dcache && $(WGET) -c
 untar = tar --strip-components=1 -xf
 ship_dll = cp bin/$1*.dll dist/ && $(STRIP) dist/$1*.dll && chmod a-x dist/$1*.dll
 
@@ -43,16 +42,21 @@
 
 export CFLAGS = -Os
 export CXXFLAGS = -Os
-export CPPFLAGS = -D__USE_MINGW_ANSI_STDIO
-
-export WINEDEBUG ?= fixme+all,err+all
+
 export V = 1
+export VERBOSE = 1
+
+export WINEDEBUG ?= err+all,fixme-all
+export WINE = wine
+export WINESERVER = /usr/lib/wine/wineserver32
 
 .PHONY: all
 all:
 	@echo Usage:
 	@echo '  make source-dist'
 	@echo '  make binary-dist'
+	@echo
+	@echo Note: This makefile downloads third-party libraries from the Internet.
 
 .PHONY: clean
 
@@ -175,9 +179,8 @@
 
 src/poppler/source-stamp:
 	mkdir -p $(dir $@)
-	$(wget) https://poppler.freedesktop.org/poppler-0.18.4.tar.gz
-	echo '33421148cdc8e043da291dece2cce1cea6220d49a50c00c56d56d6435501d42e  dcache/poppler-0.18.4.tar.gz' | sha256sum -c
-	$(untar) dcache/poppler-*.tar.gz -C $(dir $@)
+	tools/wget https://poppler.freedesktop.org/poppler-0.57.0.tar.xz 0ea37de71b7db78212ebc79df59f99b66409a29c2eac4d882dae9f2397fe44d8
+	$(untar) dcache/poppler-0.57.0.tar.xz -C $(dir $@)
 	cd $(dir $@) && QUILT_PATCHES=../../patches/poppler quilt push -a
 	cd $(dir $@) && autoreconf -vfi
 	rm -rf $(dir $@)/*.cache $(dir $@)/*~
@@ -186,6 +189,7 @@
 src/poppler/config.status: src/poppler/source-stamp
 src/poppler/config.status: src/fontconfig/install-stamp
 src/poppler/config.status: src/libjpeg/install-stamp
+src/poppler/config.status: src/openjpeg/install-stamp
 	cd $(dir $@) && \
 		CPPFLAGS='-DWIN32_LEAN_AND_MEAN -DXMD_H' \
 		./configure --host=$(host) --prefix=$(usr) \
@@ -201,6 +205,7 @@
 		--disable-poppler-qt4 \
 		--disable-utils \
 		--disable-libpng \
+		--enable-libopenjpeg=openjpeg2 \
 		--disable-compile-warnings
 
 src/poppler/build-stamp: src/poppler/config.status
@@ -216,8 +221,7 @@
 
 src/djvulibre/source-stamp:
 	mkdir -p $(dir $@)
-	$(wget) https://downloads.sourceforge.net/project/djvu/DjVuLibre/3.5.27/djvulibre-3.5.27.tar.gz
-	echo 'e69668252565603875fb88500cde02bf93d12d48a3884e472696c896e81f505f  dcache/djvulibre-3.5.27.tar.gz' | sha256sum -c
+	tools/wget https://downloads.sourceforge.net/project/djvu/DjVuLibre/3.5.27/djvulibre-3.5.27.tar.gz e69668252565603875fb88500cde02bf93d12d48a3884e472696c896e81f505f
 	$(untar) dcache/djvulibre-*.tar.gz -C $(dir $@)
 	sed -i -e 's/[A-Z]\+_EXPORT/DLL_EXPORT/' $(dir $@)/libdjvu/*.h
 	sed -i -e 's/#if.*def.*AUTOCONF.*/#if 0/' $(dir $@)/libdjvu/DjVuMessage.cpp
@@ -251,9 +255,8 @@
 
 src/graphicsmagick/source-stamp:
 	mkdir -p $(dir $@)
-	$(wget) ftp://ftp.graphicsmagick.org/pub/GraphicsMagick/1.3/GraphicsMagick-1.3.21.tar.xz
-	echo '9045304d991776b6a37e1b45b9b6ef152593ada0d49bc744263565617cbf3c1f  dcache/GraphicsMagick-1.3.21.tar.xz' | sha256sum -c
-	$(untar) dcache/GraphicsMagick-1.3.21.tar.xz -C $(dir $@)
+	tools/wget ftp://ftp.graphicsmagick.org/pub/GraphicsMagick/1.3/GraphicsMagick-1.3.26.tar.xz fba015f3d5e5d5f17e57db663f1aa9d338e7b62f1d415b85d13ee366927e5f88
+	$(untar) dcache/GraphicsMagick-1.3.26.tar.xz -C $(dir $@)
 	cd $(dir $@) && QUILT_PATCHES=../../patches/graphicsmagick quilt push -a
 	cd $(dir $@) && autoreconf -vfi
 	rm -rf $(dir $@)/*.cache $(dir $@)/magick/*~
@@ -305,9 +308,8 @@
 
 src/expat/source-stamp:
 	mkdir -p $(dir $@)
-	$(wget) https://downloads.sourceforge.net/project/expat/expat/2.1.0/expat-2.1.0.tar.gz
-	echo '823705472f816df21c8f6aa026dd162b280806838bb55b3432b0fb1fcca7eb86  dcache/expat-2.1.0.tar.gz' | sha256sum -c
-	$(untar) dcache/expat-*.tar.gz -C $(dir $@)
+	tools/wget https://downloads.sourceforge.net/project/expat/expat/2.2.3/expat-2.2.3.tar.bz2 b31890fb02f85c002a67491923f89bda5028a880fd6c374f707193ad81aace5f
+	$(untar) dcache/expat-2.2.3.tar.bz2 -C $(dir $@)
 	touch $(@)
 
 src/expat/config.status: src/expat/source-stamp
@@ -329,9 +331,8 @@
 
 src/exiv2/source-stamp:
 	mkdir -p $(dir $@)
-	$(wget) http://www.exiv2.org/exiv2-0.25.tar.gz
-	echo 'c80bfc778a15fdb06f71265db2c3d49d8493c382e516cb99b8c9f9cbde36efa4  dcache/exiv2-0.25.tar.gz' | sha256sum -c
-	$(untar) dcache/exiv2-*.tar.gz -C $(dir $@)
+	tools/wget http://www.exiv2.org/exiv2-0.25.tar.gz c80bfc778a15fdb06f71265db2c3d49d8493c382e516cb99b8c9f9cbde36efa4
+	$(untar) dcache/exiv2-0.25.tar.gz -C $(dir $@)
 	cd $(dir $@) && QUILT_PATCHES=../../patches/exiv2 quilt push -a
 	touch $(@)
 
@@ -340,7 +341,8 @@
 		./configure --host=$(host) --prefix=$(usr) \
 		--disable-static \
 		--without-zlib \
-		--disable-lensdata
+		--disable-lensdata \
+		--disable-nls
 
 src/exiv2/build-stamp: src/exiv2/config.status
 	$(MAKE) -C $(dir $@)
@@ -356,9 +358,8 @@
 
 src/freetype/source-stamp:
 	mkdir -p $(dir $@)
-	$(wget) http://download.savannah.gnu.org/releases/freetype/freetype-2.6.tar.bz2
-	echo '8469fb8124764f85029cc8247c31e132a2c5e51084ddce2a44ea32ee4ae8347e  dcache/freetype-2.6.tar.bz2' | sha256sum -c
-	$(untar) dcache/freetype-2.6.tar.bz2 -C $(dir $@)
+	tools/wget http://download.savannah.gnu.org/releases/freetype/freetype-2.8.tar.bz2 a3c603ed84c3c2495f9c9331fe6bba3bb0ee65e06ec331e0a0fb52158291b40b
+	$(untar) dcache/freetype-2.8.tar.bz2 -C $(dir $@)
 	cd $(dir $@) && ./autogen.sh
 	rm -rf $(dir $@)/builds/unix/*.cache/
 	touch $(@)
@@ -368,6 +369,7 @@
 		./configure --host=$(host) --prefix=$(usr) \
 		--without-png \
 		--without-zlib \
+		--without-harfbuzz \
 		--disable-static
 	touch $(@)
 
@@ -385,12 +387,13 @@
 
 src/fontconfig/source-stamp:
 	mkdir -p $(dir $@)
-	$(wget) https://www.freedesktop.org/software/fontconfig/release/fontconfig-2.11.1.tar.bz2
-	echo 'dc62447533bca844463a3c3fd4083b57c90f18a70506e7a9f4936b5a1e516a99  dcache/fontconfig-2.11.1.tar.bz2' | sha256sum -c
-	$(untar) dcache/fontconfig-2.11.1.tar.bz2 -C $(dir $@)
+	tools/wget https://www.freedesktop.org/software/fontconfig/release/fontconfig-2.12.4.tar.bz2 668293fcc4b3c59765cdee5cee05941091c0879edcc24dfec5455ef83912e45c
+	$(untar) dcache/fontconfig-2.12.4.tar.bz2 -C $(dir $@)
 	cd $(dir $@) && autoreconf -vfi
 	rm -rf $(dir $@)/*.cache $(dir $@)/*~
 	sed -i -e 's/"append"/"prepend"/g' $(dir $@)/conf.d/*-urw-aliases.conf
 	touch $(@)
 
 src/fontconfig/config.status: src/fontconfig/source-stamp
+src/fontconfig/config.status: src/freetype/install-stamp
+src/fontconfig/config.status: src/expat/install-stamp
