=== debian/changelog ===
pdf2djvu (0.9.6-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * Add disable-jpeg2000-test.patch:
    Ubuntu's poppler is built without jpeg2000 support

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 11 Aug 2017 19:34:51 -0400

pdf2djvu (0.9.5-1) unstable; urgency=medium

  * New upstream release:
    + update build-dep version of libpoppler-private-dev.
  * use debhelper level 10 (changes in deb/compat and deb/control).
  * deb/control:
    + bump standards version to 4.0.0 (no further changes needed).
    + remove deprecated Testsuite field.
    + restore Vcs fields (the repo remained at collab-maint).
  * deb/copyright:
    + use https in Format field.
    + update Source field (project moved to Github).
    + expand copyright span.
  * deb/watch:
    + watch github.com/jwilk/pdf2djvu.
    + bump version to 4.

 -- Daniel Stender <stender@debian.org>  Tue, 18 Jul 2017 13:02:52 +0200
