=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: pdf2djvu
 Section: text
 Priority: optional
-Maintainer: Daniel Stender <stender@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Daniel Stender <stender@debian.org>
 Build-Depends:
  autotools-dev,
- debhelper (>= 9),
+ debhelper (>= 10),
  djvulibre-bin (>= 3.5.23-6),
  dpkg-dev (>= 1.16.1),
  libdjvulibre-dev (>= 3.5.23-6),
  libgraphicsmagick++1-dev,
- libpoppler-private-dev (>= 0.7.3),
+ libpoppler-private-dev (>= 0.17~),
  libexiv2-dev,
  uuid-dev,
  pkg-config,
@@ -18,9 +19,10 @@
  locales
 Build-Conflicts:
  locales-all
-Standards-Version: 3.9.7
+Standards-Version: 4.0.0
 Homepage: http://jwilk.net/software/pdf2djvu
-Testsuite: autopkgtest
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pdf2djvu.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/pdf2djvu.git
 
 Package: pdf2djvu
 Architecture: any
