## pdf2djvu 0.9.7

=== debian/changelog ===
pdf2djvu (0.9.7-1) unstable; urgency=medium

  * New upstream release.
  * drop unnecessary autotools-dev (changes in deb/rules and deb/control).
  * deb/control: bump standards version to 4.1.1 (no changes needed).

 -- Daniel Stender <stender@debian.org>  Sun, 05 Nov 2017 00:38:43 +0100

pdf2djvu (0.9.6-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Stender <stender@debian.org>  Fri, 25 Aug 2017 21:05:40 +0200
