=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: pdf2djvu
 Section: text
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Daniel Stender <stender@debian.org>
+Maintainer: Daniel Stender <stender@debian.org>
 Build-Depends:
- autotools-dev,
  debhelper (>= 10),
  djvulibre-bin (>= 3.5.23-6),
  dpkg-dev (>= 1.16.1),
@@ -19,7 +17,7 @@
  locales
 Build-Conflicts:
  locales-all
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Homepage: http://jwilk.net/software/pdf2djvu
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pdf2djvu.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/pdf2djvu.git
