=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with autotools_dev --parallel
+	dh $@ --parallel
 
 override_dh_auto_clean:
 	! [ -f config.status ] || dh_auto_clean
