=== po/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright © 2009-2013 Jakub Wilk <jwilk@jwilk.net>
+# Copyright © 2009-2016 Jakub Wilk <jwilk@jwilk.net>
 #
 # This file is part of pdf2djvu.
 #
@@ -25,6 +25,7 @@
 
 xgettext = $(XGETTEXT) \
 	$(gettext-common-options) \
+	--from-code=UTF-8 \
 	--language=C++ \
 	--keyword=_ --keyword=N_ \
 	--package-name=pdf2djvu \
