=== win32/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright © 2009-2016 Jakub Wilk <jwilk@jwilk.net>
+# Copyright © 2009-2018 Jakub Wilk <jwilk@jwilk.net>
 #
 # This file is part of pdf2djvu.
 #
@@ -29,6 +29,13 @@
 untar = tar --strip-components=1 -xf
 ship_dll = cp bin/$1*.dll dist/ && $(STRIP) dist/$1*.dll && chmod a-x dist/$1*.dll
 
+cmake_options = \
+	-DCMAKE_SYSTEM_NAME=Windows \
+	-DCMAKE_INSTALL_PREFIX=$(usr) \
+	-DCMAKE_FIND_ROOT_PATH=$(usr) \
+	-DCMAKE_FIND_ROOT_PATH_MODE_LIBRARY=ONLY \
+	-DCMAKE_FIND_ROOT_PATH_MODE_INCLUDE=ONLY \
+
 export CC = $(host)-gcc
 export CXX = $(host)-g++
 export AS = $(host)-as
@@ -69,8 +76,7 @@
 
 .PHONY: source-dist
 source-dist:
-	rm -rf src/*/
-	$(MAKE) $(shell grep '[^ ]*source[-]stamp:' Makefile | cut -d: -f1)
+	$(MAKE) $(shell grep '/source[-]stamp:' Makefile | cut -d: -f1)
 	rm -rf $(src_tarball_topdir)
 	mkdir $(src_tarball_topdir)
 	cp -rl src/*/ $(src_tarball_topdir)/
@@ -95,6 +101,7 @@
 .PHONY: binary-dist
 binary-dist: install
 	mkdir -p $(zipball_topdir)
+	! strings -f dist/*.exe dist/*.dll | grep -F '$(CURDIR)'
 	cp -rl dist/* $(zipball_topdir)
 	chmod a-x $(zipball_topdir)/*.exe
 	chmod -R a+rX $(zipball_topdir)
@@ -113,6 +120,7 @@
 install: src/pdf2djvu/install-stamp
 install: src/libs-install-stamp
 install: src/urw-fonts/install-stamp
+install: src/poppler-data/install-stamp
 
 # pdf2djvu
 
@@ -179,42 +187,66 @@
 
 src/poppler/source-stamp:
 	mkdir -p $(dir $@)
-	tools/wget https://poppler.freedesktop.org/poppler-0.57.0.tar.xz 0ea37de71b7db78212ebc79df59f99b66409a29c2eac4d882dae9f2397fe44d8
-	$(untar) dcache/poppler-0.57.0.tar.xz -C $(dir $@)
+	tools/wget https://poppler.freedesktop.org/poppler-0.62.0.tar.xz 5b9a73dfd4d6f61d165ada1e4f0abd2d420494bf9d0b1c15d0db3f7b83a729c6
+	$(untar) dcache/poppler-0.62.0.tar.xz -C $(dir $@)
 	cd $(dir $@) && QUILT_PATCHES=../../patches/poppler quilt push -a
-	cd $(dir $@) && autoreconf -vfi
 	rm -rf $(dir $@)/*.cache $(dir $@)/*~
 	touch $(@)
 
-src/poppler/config.status: src/poppler/source-stamp
-src/poppler/config.status: src/fontconfig/install-stamp
-src/poppler/config.status: src/libjpeg/install-stamp
-src/poppler/config.status: src/openjpeg/install-stamp
-	cd $(dir $@) && \
-		CPPFLAGS='-DWIN32_LEAN_AND_MEAN -DXMD_H' \
-		./configure --host=$(host) --prefix=$(usr) \
-		--with-font-configuration=fontconfig \
-		--enable-xpdf-headers \
-		--disable-static \
-		--disable-cms \
-		--disable-abiword-output \
-		--disable-cairo-output \
-		--disable-poppler-cpp \
-		--disable-poppler-glib \
-		--disable-poppler-qt \
-		--disable-poppler-qt4 \
-		--disable-utils \
-		--disable-libpng \
-		--enable-libopenjpeg=openjpeg2 \
-		--disable-compile-warnings
-
-src/poppler/build-stamp: src/poppler/config.status
+src/poppler/Makefile: src/poppler/source-stamp
+src/poppler/Makefile: src/fontconfig/install-stamp
+src/poppler/Makefile: src/libjpeg/install-stamp
+src/poppler/Makefile: src/openjpeg/install-stamp
+	cd $(dir $@) && \
+		cmake $(cmake_options) . \
+		-DBUILD_CPP_TESTS=OFF \
+		-DBUILD_GTK_TESTS=OFF \
+		-DBUILD_QT5_TESTS=OFF \
+		-DENABLE_CMS=none \
+		-DENABLE_CPP=OFF \
+		-DENABLE_GLIB=OFF \
+		-DENABLE_GTK_DOC=OFF \
+		-DENABLE_LIBCURL=OFF \
+		-DENABLE_LIBOPENJPEG=openjpeg2 \
+		-DENABLE_QT5=OFF \
+		-DENABLE_SPLASH=ON \
+		-DENABLE_UTILS=OFF \
+		-DENABLE_XPDF_HEADERS=ON \
+		-DFONT_CONFIGURATION=fontconfig \
+		-DTESTDATADIR=/nonexistent \
+		-DWITH_NSS3=OFF \
+		-DWITH_PNG=OFF \
+		-DWITH_TIFF=OFF
+	find $(dir $@) -name build.make -print0 \
+	| xargs -0 sed -i -e 's,\([ 	]\)\(/[^ 	]\+/\($(CC)\|$(CXX)\)\) ,\1$(CURDIR)/tools/enforce-relative-paths \2 ,'
+
+src/poppler/build-stamp: src/poppler/Makefile
 	$(MAKE) -C $(dir $@)
 	touch $(@)
 
 src/poppler/install-stamp: src/poppler/build-stamp
 	$(MAKE) -C $(dir $@) install
 	$(call ship_dll,libpoppler)
+	touch $(@)
+
+# poppler-data
+
+src/poppler-data/source-stamp:
+	mkdir -p $(dir $@)
+	tools/wget https://poppler.freedesktop.org/poppler-data-0.4.8.tar.gz 1096a18161f263cccdc6d8a2eb5548c41ff8fcf9a3609243f1b6296abdf72872
+	$(untar) dcache/poppler-data-0.4.8.tar.gz -C $(dir $@)
+	touch $(@)
+
+src/poppler-data/build-stamp: src/poppler-data/source-stamp
+	$(MAKE) -C $(dir $@)
+	touch $(@)
+
+src/poppler-data/install-stamp: src/poppler-data/build-stamp
+	$(MAKE) -C $(dir $@) install prefix=$(usr)
+	mkdir -p dist/share/
+	cp -a share/poppler dist/share/
+	mkdir -p dist/doc/
+	rst2html doc/COPYING.poppler-data.txt > dist/doc/COPYING.poppler-data.html
 	touch $(@)
 
 # DjVuLibre
@@ -255,8 +287,8 @@
 
 src/graphicsmagick/source-stamp:
 	mkdir -p $(dir $@)
-	tools/wget ftp://ftp.graphicsmagick.org/pub/GraphicsMagick/1.3/GraphicsMagick-1.3.26.tar.xz fba015f3d5e5d5f17e57db663f1aa9d338e7b62f1d415b85d13ee366927e5f88
-	$(untar) dcache/GraphicsMagick-1.3.26.tar.xz -C $(dir $@)
+	tools/wget https://downloads.sourceforge.net/project/graphicsmagick/graphicsmagick/1.3.27/GraphicsMagick-1.3.27.tar.xz d03278d2790efc1dc72309f85a539810d2a81deb47932f7e6720d09ac72d0367
+	$(untar) dcache/GraphicsMagick-1.3.27.tar.xz -C $(dir $@)
 	cd $(dir $@) && QUILT_PATCHES=../../patches/graphicsmagick quilt push -a
 	cd $(dir $@) && autoreconf -vfi
 	rm -rf $(dir $@)/*.cache $(dir $@)/magick/*~
@@ -308,8 +340,8 @@
 
 src/expat/source-stamp:
 	mkdir -p $(dir $@)
-	tools/wget https://downloads.sourceforge.net/project/expat/expat/2.2.3/expat-2.2.3.tar.bz2 b31890fb02f85c002a67491923f89bda5028a880fd6c374f707193ad81aace5f
-	$(untar) dcache/expat-2.2.3.tar.bz2 -C $(dir $@)
+	tools/wget https://github.com/libexpat/libexpat/releases/download/R_2_2_5/expat-2.2.5.tar.bz2 d9dc32efba7e74f788fcc4f212a43216fc37cf5f23f4c2339664d473353aedf6
+	$(untar) dcache/expat-2.2.5.tar.bz2 -C $(dir $@)
 	touch $(@)
 
 src/expat/config.status: src/expat/source-stamp
@@ -337,6 +369,7 @@
 	touch $(@)
 
 src/exiv2/config.status: src/exiv2/source-stamp
+src/exiv2/config.status: src/expat/install-stamp
 	cd $(dir $@) && \
 		./configure --host=$(host) --prefix=$(usr) \
 		--disable-static \
@@ -358,42 +391,6 @@
 
 src/freetype/source-stamp:
 	mkdir -p $(dir $@)
-	tools/wget http://download.savannah.gnu.org/releases/freetype/freetype-2.8.tar.bz2 a3c603ed84c3c2495f9c9331fe6bba3bb0ee65e06ec331e0a0fb52158291b40b
-	$(untar) dcache/freetype-2.8.tar.bz2 -C $(dir $@)
+	tools/wget https://download.savannah.gnu.org/releases/freetype/freetype-2.9.tar.bz2 e6ffba3c8cef93f557d1f767d7bc3dee860ac7a3aaff588a521e081bc36f4c8a
+	$(untar) dcache/freetype-2.9.tar.bz2 -C $(dir $@)
 	cd $(dir $@) && ./autogen.sh
-	rm -rf $(dir $@)/builds/unix/*.cache/
-	touch $(@)
-
-src/freetype/config.status: src/freetype/source-stamp
-	cd $(dir $@) && \
-		./configure --host=$(host) --prefix=$(usr) \
-		--without-png \
-		--without-zlib \
-		--without-harfbuzz \
-		--disable-static
-	touch $(@)
-
-src/freetype/build-stamp: src/freetype/config.status
-	$(MAKE) -C $(dir $@)
-	touch $(@)
-
-src/freetype/install-stamp: src/freetype/build-stamp
-	mkdir -p dist/
-	$(MAKE) -C $(dir $@) install
-	$(call ship_dll,libfreetype)
-	touch $(@)
-
-# fontconfig
-
-src/fontconfig/source-stamp:
-	mkdir -p $(dir $@)
-	tools/wget https://www.freedesktop.org/software/fontconfig/release/fontconfig-2.12.4.tar.bz2 668293fcc4b3c59765cdee5cee05941091c0879edcc24dfec5455ef83912e45c
-	$(untar) dcache/fontconfig-2.12.4.tar.bz2 -C $(dir $@)
-	cd $(dir $@) && autoreconf -vfi
-	rm -rf $(dir $@)/*.cache $(dir $@)/*~
-	sed -i -e 's/"append"/"prepend"/g' $(dir $@)/conf.d/*-urw-aliases.conf
-	touch $(@)
-
-src/fontconfig/config.status: src/fontconfig/source-stamp
-src/fontconfig/config.status: src/freetype/install-stamp
-src/fontconfig/config.status: src/expat/install-stamp
