=== debian/changelog ===
pdf2djvu (0.9.8-1) unstable; urgency=medium

  * New upstream release (Closes: #892109).
  * deb/control:
    + among b-deps, bump minimal poppler version to 0.24.
    + fix Vcs-Git.

 -- Daniel Stender <stender@debian.org>  Thu, 08 Mar 2018 18:12:47 +0100

pdf2djvu (0.9.7-2) unstable; urgency=medium

  * deb/changelog:
    + removed a few trailing whitespaces.
  * deb/control:
    + bump standards to 4.1.3 (no changes needed).
    + update Vcs- fields (project moved to Salsa).
  * deb/copyright: expand copyright span.
  * add debian/gbp.conf.

 -- Daniel Stender <stender@debian.org>  Mon, 19 Feb 2018 18:45:13 +0100
