=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  dpkg-dev (>= 1.16.1),
  libdjvulibre-dev (>= 3.5.23-6),
  libgraphicsmagick++1-dev,
- libpoppler-private-dev (>= 0.17~),
+ libpoppler-private-dev (>= 0.24~),
  libexiv2-dev,
  uuid-dev,
  pkg-config,
@@ -17,10 +17,10 @@
  locales
 Build-Conflicts:
  locales-all
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Homepage: http://jwilk.net/software/pdf2djvu
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pdf2djvu.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/pdf2djvu.git
+Vcs-Browser: https://salsa.debian.org/debian/pdf2djvu
+Vcs-Git: https://salsa.debian.org/debian/pdf2djvu.git
 
 Package: pdf2djvu
 Architecture: any
